RFC 850
Mehr Infos
- Erstellt von
- Mary Ann Horton
- Jahr
- 1983
- Typ
- Spezifikation
- Spec
- RFC 850
- Nachfolger
- RFC 1036
Das erste Dokument, das festhielt, wie ein Usenet-Artikel aussehen soll – vier Jahre, bevor jemand es ändern musste.
Bis 1983 war das Usenet-Format schlicht das, was B News gerade erzeugte. Mary Ann Horton, die damals noch als Mark Horton veröffentlichte, schrieb es als Standard for Interchange of USENET Messages nieder, im Juni jenes Jahres als RFC 850 erschienen. Sie übernahm die Struktur der E-Mail aus RFC 822: Header wie From, Newsgroups, Subject, Message-ID und Path, eine Leerzeile, dann der Text.
Das Dokument behandelte auch Steuernachrichten und den Austausch von Artikeln zwischen Rechnern – in der Praxis eine Beschreibung des Verhaltens von B News. Im Dezember 1987 löste es RFC 1036 ab, das den Wortlaut aufräumte, die Grundlagen aber beibehielt. Eine Spezifikation, die nach der Implementierung entstand und Jahrzehnte hält, ist seltener, als man denkt.